$! Copyright  1994 by Brian Schenkenberger.  All rights reserved.
$!--------------------------------------------------------------------------
$! Define the logical BUILD_VERIFY to 1 to enable procedure verification
$!--------------------------------------------------------------------------
$ SET := SET				! make sure SET *is* SET
$
$ SET ON				! enable error checking
$ ON ERROR THEN $ GOTO EXIT_RTN		! establish error handler
$ ON CONTROL_Y THEN $ GOTO EXIT_RTN	! establish ctrl-Y handler
$
$ SET SYMBOL/SCOPE=(NOGLOBAL,NOLOCAL)	! no symbols same as verbs
$ 
$ IF .NOT.F$PRIVILEGE("SYSPRV") THEN $ EXIT %x28E4
$
$ DEFINE/USER SAVE_VERIFY "''F$INT(F$ENV("VERIFY_PROCEDURE")),''F$INT(F$ENV("VERIFY_IMAGE"))'"
$
$ IF F$Getsyi("HW_MODEL").LT.1024
$ THEN
$ On_VAX:	! Assemble the source modules	'F$verify(F$trnlnm("BUILD_VERIFY"))
$
$ SET COMMAND/OBJECT CTRLVCMD.CLD	! Compile CLD
$
$ RUNOFF CTRLV.RNH
$ LIBRARY/CREATE/HELP	CTRLV.HLB CTRLV.HLP
$
$ MACRO/LIST LOAD_CTRLV.MAR	! CTRLV loader
$ MACRO/LIST VAST_SHARE.MAR	! the AST routine
$
$! Link LOAD_CTRLV.EXE
$
$ LINK/NOTRACEBACK/P0IMAGE/MAP LOAD_CTRLV.OBJ,CTRLVCMD.OBJ
$
$! Link VAST_SHARE.EXE
$
$ LINK/NOTRACEBACK/SHAREABLE/MAP VAST_SHARE.OBJ,VAST_SHARE.OPT/OPTION
$
$ ELSE	!'F$verify(F$trnlnm("SAVE_VERIFY"))
$ On_AXP:	! Compile the source modules	'F$verify(F$trnlnm("BUILD_VERIFY"))
$
$ SET COMMAND/OBJECT CTRLVCMD.CLD	! Compile CLD
$
$ RUNOFF CTRLV.RNH
$ LIBRARY/CREATE/HELP	CTRLV.HLB CTRLV.HLP
$
$ MACRO/LIST/MACHINE LOAD_CTRLV.MAR	! CTRLV loader
$ MACRO/LIST/MACHINE VAST_SHARE.MAR	! the AST routine
$
$! Link LOAD_CTRLV.EXE
$
$ LINK/NOTRACE/P0IMAGE/NATIVE/SYSEXE/BPAGE=13/MAP LOAD_CTRLV.OBJ,CTRLVCMD.OBJ,-
		SYS$LOADABLE_IMAGES:DCLDEF.STB/SELECT
$
$! Link VAST_SHARE.EXE
$
$ LINK/NOTRACEBACK/SHAREABLE/NATIVE/SYSEXE/BPAGE=13/MAP -
		VAST_SHARE.OBJ,VAST_SHARE.AXP_OPT/OPTION
$
$ ENDIF	!'F$verify(F$trnlnm("SAVE_VERIFY"))
$ EXIT_RTN: EXIT $STATUS	!'F$verify(F$trnlnm("SAVE_VERIFY"))
